// Definition for the class "DataFile"
// Binary data filed in Intel-Hex format.

#include <stdio.h>
#include "dxstds.h"
#define BlkSize 65500

typedef byte dblock[BlkSize];

class DataFile {        //Data files, loaded from Intel hex. format
   public:
      word BaseAddr,    	  //Lowest loaded address
	   Length;      	  //No. of bytes loaded (0 indicates error)
      byte far *FileData;	  //Data as loaded

      ~DataFile();		  //Standard destructor

      DataFile() ;                //Short-form constructor

      DataFile(char *Name) ;      //Standard constructor (file name)

      boolean WriteOut(char *fname); //Write to file

   private:
      byte HexByte(char *ind);    //Gets a byte in hex.

      void LineOut(FILE *dfile,   //Single output line
	     byte len,
	     word Ptr);
      } ;
