.comment $

	R O M  -  M O N I T O R   E X T E R N A L   H O O K S

  Definitions of code-hooks for external entry to the ROM.
These are intended for use by OS boot-sectors, etc.

  They MUST NOT be used by BIOS and similar code, since
the ROM will be disabled.

  The symbolic names are those used in the ROM code for these routines.
$

	diskop	equ	8		;JP to diskette handler
	dpb3	equ	diskop+3	;Ptr. to 3" D.P.B.
	dpb5	equ	dpb3+2		;Ptr. to 5" D.P.B.

	getchr	equ	10h		;Read console to A (or 0)

	putchr	equ	18h		;Output A on console

	putmsg	equ	20h		;Output ASCIIZ (HL) on console

	break	equ	38h		;ROM breakpoint trap

;-----------------------------------------------------------------------

