type receive.pas

Program Receive_Text_Files;
{Simple program to receive downloaded text files. Text is
 processed until a ESC occurs at the start of a line. Lines
 are terminated by CR. LF chars. are discarded.

 Invokation: RECEIVE <file>

 The file-name must be specified on the command line.

 D-X Designs Pty Ltd.  Perth Australia
 Author: D R Brooks.   May 1996 }

type xline = string[120];

const
  cmtail = $80;    {CP/M command tail}

var
  lfirst: boolean;
  outf  : text;
  iline : xline;
  cmd   : ^char;
  ctr   : integer;

procedure xreadln (var x :xline);
var
  a : char;
begin
  if (not lfirst) then
     write(#6);     {Move to here: Ready signal}
  lfirst:= false;
  inline ($3e);
  inline ($05);   {ld   a,05}
  inline ($ed);
  inline ($39);
  inline ($e0);   {out0 (sccacnt),a}
  inline ($3e);
  inline ($6a);   {ld   a,6a   - RTS on}
  inline ($ed);
  inline ($39);
  inline ($e0);   {out0 (sccacnt),a}
  x := '';
  repeat
    a := chr(bios(2));
    if a <> ^J then begin
      if a <> ^M then x := x + a;
      end;
    until a = ^M;
{  write('.');      Moved to top of routine}
  inline ($3e);
  inline ($05);   {ld   a,05}
  inline ($ed);
  inline ($39);
  inline ($e0);   {out0 (sccacnt),a}
  inline ($3e);
  inline ($68);   {ld   a,68   - RTS off}
  inline ($ed);
  inline ($39);
  inline ($e0);   {out0 (sccacnt),a}
  end;

begin
  writeln('File Download Receiver: D-X Designs Pty Ltd, 1996');
  lfirst := true;
  ctr := 1;   {Start of string}
  iline := '';
  cmd := ptr (cmtail + ctr);
  while ord(cmd^) <> 0 do begin
    iline := iline + cmd^;
    ctr := ctr + 1;
    cmd := ptr (cmtail + ctr);
    end;
  if length(iline) = 0 then begin
     writeln('File Name must be specified');
     halt;
     end
  else begin
     assign(outf,iline);
     rewrite(outf);
     writeln('Ready to receive ', iline, ' type ESC/CR to end');
     xreadln(iline);
     while iline[1] <> ^[ do begin
        if iline[1] <> ^J then writeln(outf,iline);
        xreadln(iline);
        end;
     close(outf);
     end;
  inline ($3e);
  inline ($05);   {ld   a,05}
  inline ($ed);
  inline ($39);
  inline ($e0);   {out0 (sccacnt),a}
  inline ($3e);
  inline ($6a);   {ld   a,6a   - RTS on}
  inline ($ed);
  inline ($39);
  inline ($e0);   {out0 (sccacnt),a}

  end.

A>