// Standard class outline for vendor-specific flash PROMs
// Each part defines a class derived from this

// D-X Designs, November 1995   D. R. Brooks

//typedef byte chipID[2];

union chipID {
   byte IDbyte[2];
   word IDword;
   } ;

class PROM {
public:
   long   MaxAddr;
   chipID Part;

   virtual void Identify (chipID *tstID,     //Test for part type
			  chipID *oldID,
			  chipID *newID);

   virtual boolean WritePROM(DataFile*,long);
//                            buffer,  PROM address
   void    ReadPROM (DataFile*,long);
//                    buffer,  PROM address
   } ;
